package org.globus.transfer.reliable.service.cache;

public interface ConnectionCache
{
    public long getOldestTimestamp();
    public int shrink();
    public void addConnection(Connection client);
    public Connection getConnection(ConnectionParameter params);
    public int getType();
    public void removeExpiredConnections();
    public void closeAllConnections();
}
